/********************************************************/
/* 360 unique tiles example on gameboy color            */
/* by Bud Melvin, adapted from Harry Mulder Wario Craft */
/* Hopefully simplified and more clear.                 */
/* www.budmelvn.com/dev                                 */
/********************************************************/

#include <gb/gb.h>
#include "Map.c"
#include "Tiles.c"

int main()
{

/*** Set up PALETTE data ***/

  /* Set up 4 values for the palette and store them in palette #0 */
  UWORD Palette0[4]=
  {
	25000,3333,2222,250
  };
  set_bkg_palette( 0, 1, &Palette0[0] );

  /* Remove the comment marks and add other palettes below
  /* Pick which palette # for each tile in Map.c, AttribMap[] */
  /*
  UWORD Palette1[4]=
  {
	32767,21342,3615,0
  };
  set_bkg_palette( 1, 1, &Palette1[0] );
  */


/*** Get the TILE data ***/

  /* Select VRAM bank 0 */
  VBK_REG = 0;

  /* Transfer first 256 tiles into VRAM bank 0 */
  set_bkg_data( 0, 256, TilesBLK0 );


  /* Select VRAM bank 1 */
  VBK_REG = 1;

  /* Transfer last 104 tiles into VRAM bank 1 */
  set_bkg_data( 0, 104, TilesBLK1 );


/*** Get the MAP data ***/

  /* Select VRAM bank 1 (which stores the attributes) */
  VBK_REG = 1;

  /* Set attributes */
  set_bkg_tiles( 0, 0, MapWidth, MapHeight, AttribMap );

  /* Select VRAM bank 0 (which stores the tiles) */
  VBK_REG = 0;

  /* Set data */
  set_bkg_tiles( 0, 0, MapWidth, MapHeight, TileMap);

/*** Display the background and loop until power down ***/

  SHOW_BKG;
  enable_interrupts();
  DISPLAY_ON;

  /* Loop forever */
  while(1);
  return(0);
}
